Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.miscellaneous
Class PrefixAndSuffixAwareTokenFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.miscellaneous.PrefixAndSuffixAwareTokenFilter

All Implemented Interfaces:
  Closeable

    public class PrefixAndSuffixAwareTokenFilter

extends org.apache.lucene.analysis.TokenStream

Links two `PrefixAwareTokenFilter`.

NOTE: This filter might not behave correctly if used with custom Attributes, i.e. Attributes other than the ones located in org.apache.lucene.analysis.tokenattributes.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Constructor Summary
`PrefixAndSuffixAwareTokenFilter(org.apache.lucene.analysis.TokenStream prefix, org.apache.lucene.analysis.TokenStream input, org.apache.lucene.analysis.TokenStream suffix)`

Method Summary
`void` | `close()`
`void` | `end()`
`boolean` | `incrementToken()`
`void` | `reset()`
`org.apache.lucene.analysis.Token` | `updateInputToken(org.apache.lucene.analysis.Token inputToken, org.apache.lucene.analysis.Token lastPrefixToken)`
`org.apache.lucene.analysis.Token` | `updateSuffixToken(org.apache.lucene.analysis.Token suffixToken, org.apache.lucene.analysis.Token lastInputToken)`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrefixAndSuffixAwareTokenFilter

    public PrefixAndSuffixAwareTokenFilter(org.apache.lucene.analysis.TokenStream prefix,
                                           org.apache.lucene.analysis.TokenStream input,
                                           org.apache.lucene.analysis.TokenStream suffix)

Method Detail

### updateInputToken

    public org.apache.lucene.analysis.Token updateInputToken(org.apache.lucene.analysis.Token inputToken,
                                                             org.apache.lucene.analysis.Token lastPrefixToken)

### updateSuffixToken

    public org.apache.lucene.analysis.Token updateSuffixToken(org.apache.lucene.analysis.Token suffixToken,
                                                              org.apache.lucene.analysis.Token lastInputToken)

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

### end

    public void end()
             throws IOException

  Overrides:
    `end` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD